This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468036 - Build of spacewalk-java-0.3.3-1 failed
Build of spacewalk-java-0.3.3-1 failed
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Release (Show other bugs)
0.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Brandon Perkins
:
Depends On:
Blocks: space03
  Show dependency treegraph
 
Reported: 2008-10-22 10:32 EDT by Michael Mráka
Modified: 2009-09-17 03:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:02:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2008-10-22 10:32:22 EDT
Description of problem:
Build of spacewalk-java-0.3.3-1 falied.
https://brewweb.devel.redhat.com/taskinfo?taskID=1531558
https://brewweb.devel.redhat.com/getfile?taskID=1531558&name=build.log


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. brew build --nowait spacewalk-5E-0.3-candidate spacewalk-java-0.3.3-1.el5.sw.src.rpm
2. or brew build --nowait satellite-5E-5.3-candidate spacewalk-java-0.3.3-1.el5.src.rpm

  
Actual results:
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.81595
+ umask 022
+ cd /builddir/build/BUILD
+ cd spacewalk-java-0.3.3
+ LANG=C
+ export LANG
+ unset DISPLAY
+ rm -rf /var/tmp/spacewalk-java-0.3.3-1.el4-root-brewbuilder
+ ant -Dprefix=/var/tmp/spacewalk-java-0.3.3-1.el4-root-brewbuilder install
Buildfile: build.xml

set-default-config-dir:

init-install:

boot-deps:

init-ivy:

resolve-ivy:

resolve-local:
    [mkdir] Created dir: /builddir/build/BUILD/spacewalk-java-0.3.3/build/build-lib
    [mkdir] Created dir: /builddir/build/BUILD/spacewalk-java-0.3.3/build/test-lib
    [mkdir] Created dir: /builddir/build/BUILD/spacewalk-java-0.3.3/build/run-lib/external
     [exec] /usr/bin/build-jar-repository: error: Could not find stringtree-json Java extension for this JVM
     [exec] /usr/bin/build-jar-repository: error: Some specified jars were not found for this jvm

BUILD FAILED
/builddir/build/BUILD/spacewalk-java-0.3.3/build.xml:936: The following error occurred while executing this line:
/builddir/build/BUILD/spacewalk-java-0.3.3/buildconf/build-utils.xml:12: exec returned: 7


Expected results:
package build

Additional info:
Comment 1 Jesus M. Rodriguez 2008-10-30 12:38:11 EDT
fixed, missing BuildRequires.
Comment 2 Miroslav Suchý 2009-09-17 03:02:23 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.